Track a new shop
POST
/shops
Authentication
Bearer Token
Request Body required
application/jsonunknown
Responses
200
Shop tracked successfully
No response body
400
Missing domain
401
Unauthorized
curl -X POST 'https://shopsniffer.com/api/shops' \ -H 'Authorization: Bearer YOUR_API_TOKEN' \ -H 'Content-Type: application/json' \ -d 'null'
const response = await fetch('https://shopsniffer.com/api/shops', { method: 'POST', headers: { "Authorization": "Bearer YOUR_API_TOKEN", "Content-Type": "application/json" }, body: JSON.stringify(null)});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.post('https://shopsniffer.com/api/shops', headers=headers, json=null)print(response.json())
API Playground
Try this endpoint
POST
/shops